Name:		rocksndiamonds
Version:	3.3.0.1
Release:	2%{?dist}
License:	GPL+
Group:		Amusements/Games
Summary:	Underground digging game
URL:		http://www.artsoft.org/rocksndiamonds/
Source0:	http://www.artsoft.org/RELEASES/unix/rocksndiamonds/rocksndiamonds-%{version}.tar.gz
Source1:	rocksndiamonds.desktop
Source2:	rocksndiamonds.png
# Additional music files we have permission for!
Source3:	rocksndiamonds-distributable-music.tar.bz2
Patch0:		rocksndiamonds-3.2.6.0-nosmpeg.patch
Patch1:		rocksndiamonds-highscore.patch
Patch2:		rocksndiamonds-YN.patch
Patch3:		rocksndiamonds-3.2.6.0-music-info-url.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	SDL-devel, libX11-devel, desktop-file-utils, xorg-x11-proto-devel
BuildRequires:	SDL_image-devel, SDL_mixer-devel, SDL_net-devel

%description
Dig for treasure and solve puzzles underground, but watch out for falling 
rocks and strange creatures!

%prep
%setup -q -a 3
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
make %{?_smp_mflags} RO_GAME_DIR=%{_datadir}/%{name}/ RW_GAME_DIR=%{_localstatedir}/games/%{name}/ EXTRA_CFLAGS="$RPM_OPT_FLAGS -DUSE_USERDATADIR_FOR_COMMONDATA"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/games/%{name}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m0755 rocksndiamonds $RPM_BUILD_ROOT%{_bindir}
for i in graphics levels music scores sounds; do
	cp -a $i $RPM_BUILD_ROOT%{_datadir}/%{name}/
done
install -m0644 rocksndiamonds.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps

desktop-file-install 				\
  --vendor fedora				\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications	\
  --mode 0644					\
  %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING CREDITS INSTALL README
%doc docs/elements/
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop
%{_localstatedir}/games/%{name}/
%{_mandir}/man1/*

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul  8 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 3.3.0.1-1
- 3.3.0.1 (upstream finally dropped bad music files!)

* Tue Sep 22 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 3.2.6.1-1
- update to 3.2.6.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 17 2009 Tom "spot" Callaway <tcallawa@redhat.com> 3.2.6.0-2
- fix desktop file (bz 485365)

* Wed Feb 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> 3.2.4-1
- update to 3.2.4
- keep music in their own tarball

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.2.3-3.2
- Autorebuild for GCC 4.3

* Mon Aug 27 2007 Tom "spot" Callaway <tcallawa@redhat.com> 3.2.3-2.2
- license fix

* Tue Aug 14 2007 Tom "spot" Callaway <tcallawa@redhat.com> 3.2.3-2
- use clean tarball
- patch in support for displaying url on music info page

* Thu Jan 18 2007 Tom "spot" Callaway <tcallawa@redhat.com> 3.2.3-1
- bump to 3.2.3

* Tue Nov 21 2006 Tom "spot" Callaway <tcallawa@redhat.com> 3.2.2-4
- actually cvs add the devel patches

* Tue Nov 21 2006 Tom "spot" Callaway <tcallawa@redhat.com> 3.2.2-3
- add patches from bz 210767

* Fri Sep 15 2006 Tom "spot" Callaway <tcallawa@redhat.com> 3.2.2-1
- bump to 3.2.2

* Tue Feb 28 2006 Tom "spot" Callaway <tcallawa@redhat.com> 3.1.2-1
- bump to 3.1.2

* Thu Sep 22 2005 Tom "spot" Callaway <tcallawa@redhat.com> 3.1.1-2
- add missing BR: SDL_net-devel

* Thu Sep 22 2005 Tom "spot" Callaway <tcallawa@redhat.com> 3.1.1-1
- initial package for Fedora Extras
